local addonName, addonTab = ...
	addonTab.defaults.HideMovies = {
		SetChecked = false,
	}
	
local dvhidemoviecheck = CreateFrame("CheckButton", "DejaViewClassicHideMovieCheck", DejaViewClassicPanel, "InterfaceOptionsCheckButtonTemplate")
	dvhidemoviecheck:RegisterEvent("PLAYER_LOGIN")
	dvhidemoviecheck:ClearAllPoints()
	dvhidemoviecheck:SetPoint("LEFT", 25, -40)
	dvhidemoviecheck:SetScale(1.25)
	dvhidemoviecheck.tooltipText = 'When checked disables most in game cinematics.' --Creates a tooltip on mouseover.
	_G[dvhidemoviecheck:GetName() .. "Text"]:SetText("Hide Cinematics")
	
	dvhidemoviecheck:SetScript("OnEvent", function(self, event, arg1)
		if event == "PLAYER_LOGIN" then
		local checked = addonTab.db.HideMovies.SetChecked
			self:SetChecked(checked)
		end
	end)
	
	dvhidemoviecheck:SetScript("OnClick", function(self,event,arg1) 
		if dvhidemoviecheck:GetChecked(true) then
			addonTab.db.HideMovies.SetChecked=true
			local checked = addonTab.db.HideMovies.SetChecked
			self:SetChecked(checked)
		else
			addonTab.db.HideMovies.SetChecked=false
			local checked = addonTab.db.HideMovies.SetChecked
			self:SetChecked(checked)
		end
	end)
	
	CinematicFrame:HookScript("OnShow", function(self, ...)
		if dvhidemoviecheck:GetChecked(true) then
			CinematicFrame_CancelCinematic()
		end
	end)
	
	MovieFrame:HookScript("OnEvent", function(self, ...) 
		if dvhidemoviecheck:GetChecked(true) then
		GameMovieFinished() 
		end
	end)