-- Deja Tweaks

--Slash Commands
	SlashCmdList['RELOADUI'] = function() ReloadUI() end
	SLASH_RELOADUI1 = '/rl'

	SlashCmdList["READYCHECK"] = function() DoReadyCheck() end
	SLASH_READYCHECK1 = '/rc'

	SlashCmdList["CHECKROLE"] = function() InitiateRolePoll() end
	SLASH_CHECKROLE1 = '/cr'

local voiceID = C_TTSSettings.GetVoiceOptionID(0)
local playbackOption = Enum.VoiceTtsDestination.LocalPlayback
local speechRate = C_TTSSettings.GetSpeechRate()
local speechVolume = C_TTSSettings.GetSpeechVolume()

--Sell Junk
local dvSellJunk = CreateFrame("Frame")
	dvSellJunk:RegisterEvent("MERCHANT_SHOW")
	dvSellJunk:SetScript("OnEvent", function()
		for bag = BACKPACK_CONTAINER, NUM_BAG_SLOTS do
			for slot = 1, C_Container.GetContainerNumSlots(bag) do
				local function DV_SellJunk(bag, slot)
					UseContainerItem(bag, slot)
				end
				local itemLink = C_Container.GetContainerItemLink(bag, slot)
				if itemLink then
					local itemName, _, itemRarity, _, _, _, _, itemStackCount, _, _, itemSellPrice = GetItemInfo(itemLink)
					if itemRarity == 0 and itemSellPrice > 0 then
						local junkPrint = ""
						if itemStackCount > 1 then
							--Money text
							junkPrint = string.format("Sold %s %s for %s (@ %s per) to %s", itemStackCount, itemLink, GetCoinText(itemSellPrice*itemStackCount), GetCoinText(itemSellPrice), UnitName("target"))
							
							--Icons isntead of money text
								-- junkPrint = string.format("Sold %s %s for %s (@ %s per) to %s", itemStackCount, itemLink, GetCoinTextureString(itemSellPrice*itemStackCount, 10), GetCoinTextureString(itemSellPrice, 8), UnitName("target"))
							
							DEFAULT_CHAT_FRAME:AddMessage(junkPrint);
						else
							--Money text
							junkPrint = string.format("Sold %s for %s to %s", itemLink, GetCoinText(itemSellPrice), UnitName("target"))
							
							--Icons isntead of money text
								-- junkPrint = string.format("Sold %s for %s to %s", itemLink, GetCoinTextureString(itemSellPrice, 10), UnitName("target"))
							
							DEFAULT_CHAT_FRAME:AddMessage(junkPrint);
						end
						DV_SellJunk(bag, slot)
						if C_VoiceChat.IsTranscriptionAllowed() then
							C_VoiceChat.SpeakText(voiceID, junkPrint, playbackOption, speechRate, speechVolume)
						end
					end
				end
			end
		end
end)

local function repairPrint(source, cost)
	if source == "playerPaid" then
		repairPrint = string.format("|cffffff00Repair costs covered by "..UnitName("player")..": %s.|r", GetCoinText(cost))
	elseif source == "playerNSF" then
		repairPrint = string.format("|cffff0000"..UnitName("player").." has insufficient funds to cover repair costs.|r")
	elseif source == "guildPaid" then
		repairPrint = string.format("|cffffff00Repair costs covered by "..GetGuildInfo("player")..": %s.|r", GetCoinText(cost))
	elseif source == "guildNSF" then
		repairPrint = string.format("|cffff0000"..UnitName("player").." has insufficient <"..GetGuildInfo("player").."> funds remaining to cover repair costs.|r")
	end
	DEFAULT_CHAT_FRAME:AddMessage(repairPrint)
	-- if C_VoiceChat.IsTranscriptionAllowed() then
	-- 	C_VoiceChat.SpeakText(voiceID, repairPrint, playbackOption, speechRate, speechVolume)
	-- end
end

local function playerRepair(cost, playerHasFunds)
	if playerHasFunds then
		repairPrint(playerPaid, cost)
		RepairAllItems()
	else
		repairPrint(playerNSF, cost)
	end
end

--Auto Repair (AFTER selling junk to avoid false negatives.)
local gbautoRepair = CreateFrame("Frame")
	gbautoRepair:RegisterEvent("MERCHANT_SHOW")
	gbautoRepair:SetScript("OnEvent", function()
		local cost, canRepair = GetRepairAllCost()
		local funds = GetMoney()
		local playerHasFunds = (funds >= cost)
		local guildHasFunds = (GetGuildBankWithdrawMoney() >= cost)

		if(cost and canRepair) then --If there is repair costs and the merchant can repair.
			if IsInGuild() then
				if guildHasFunds then
					repairPrint(guildPaid, cost)
					RepairAllItems(true)
				else
					repairPrint(guildNSF, cost)
					playerRepair(cost, playerHasFunds)
				end
			else
				playerRepair(cost, playerHasFunds)
			end
		end
	end)
	
--eAlign by Eurytus

SLASH_EA1 = "/align"

local f

SlashCmdList["EA"] = function()
	if f then
		f:Hide()
		f = nil		
	else
		f = CreateFrame('Frame', nil, UIParent) 
		f:SetAllPoints(UIParent)
		local w = GetScreenWidth() / 64
		local h = GetScreenHeight() / 36
		for i = 0, 64 do
			local t = f:CreateTexture(nil, 'BACKGROUND')
			if i == 32 then
				t:SetColorTexture(1, 0, 0, 0.5)
			else
				t:SetColorTexture(0, 0, 0, 0.5)
			end
			t:SetPoint('TOPLEFT', f, 'TOPLEFT', i * w - 1, 0)
			t:SetPoint('BOTTOMRIGHT', f, 'BOTTOMLEFT', i * w + 1, 0)
		end
		for i = 0, 36 do
			local t = f:CreateTexture(nil, 'BACKGROUND')
			if i == 18 then
				t:SetColorTexture(1, 0, 0, 0.5)
			else
				t:SetColorTexture(0, 0, 0, 0.5)
			end
			t:SetPoint('TOPLEFT', f, 'TOPLEFT', 0, -i * h + 1)
			t:SetPoint('BOTTOMRIGHT', f, 'TOPRIGHT', 0, -i * h - 1)
		end	
	end
end